Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Installs Ruby on Rails on Ubuntu (for lazy people like me) + Zsh (w/ oh-my-zsh) + Sublime Text 2
sudo apt-get update &&
sudo apt-get install build-essential git-core curl zsh &&
sudo chsh -s /bin/zsh &&
curl -L https://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh | sh &&
curl -L get.rvm.io | bash -s stable &&
echo '[[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm"' | \
tee -a ~/.zshrc ~/.bashrc &&
. ~/.zshrc && . ~/.bashrc &&
sudo apt-get install build-essential openssl libreadline6 libreadline6-dev fortune \
curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 \
libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison \
ctags exuberant-ctags libnotify-bin curl autoconf make automake ssh git-core git-doc \
imagemagick postgresql-contrib libpq-dev postgresql pgadmin3 vim vim-rails \
subversion apache2 libmysqlclient-dev mysql-common mysql-server htop fortune \
git-core python-software-properties postfix &&
rvm install 1.9.3 &&
rvm --default use 1.9.3 &&
gem install rails
## OPTIONAL ##
sudo add-apt-repository ppa:webupd8team/sublime-text-2 &&
sudo apt-get update &&
sudo apt-get install sublime-text-2-beta
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.